import { request } from "@/http/axios"

/** 查 */
export function findAllMiningrecord() {
  return request({
    url: "/dicekeMiningrecord/findAllMiningrecord",
    method: "get"
  })
}

/** 删 */
export function deletedicekeMiningrecord(recordID: number) {
  return request({
    url: `/dicekeMiningrecord/deletedicekeMiningrecord/${recordID}`,
    method: "delete"
  })
}

/** 根据id查平盘信息 */
export function finddicekeMiningrecordById(id: number) {
  return request({
    url: `/dicekeMiningrecord/finddicekeMiningrecordById/${id}`,
    method: "get"
  })
}

/** 修改盘信息 */
export function updatedicekeMiningrecord(dicekeMiningrecordform: any) {
  return request({
    url: `/dicekeMiningrecord/updatedicekeMiningrecord`,
    method: "post",
    data: dicekeMiningrecordform
  })
}

/** 新增盘信息 */
export function adddicekeMiningrecord(dicekeMiningrecordform: any) {
  return request({
    url: `/dicekeMiningrecord/adddicekeMiningrecord`,
    method: "post",
    data: dicekeMiningrecordform
  })
}
